指定要为每个折线曲线生成的线段数。 支持的平台:仅窗口 属性值只读:不 类型:长 要为每个折线曲线生成的线段数。 0 < <= 42950 SegmentPerPolyline 言论初始值为 8。指定的数字越大,对性能的影响就越大。 注意:此属性的值存储在 SPLINESEGS 系统变量中。
例子工 务 局: Sub Example_SegmentPerPolyline() ' This example returns the current setting of ' SegmentPerPolyline. It then changes the value, and finally ' it resets the value back to the original setting. Dim currSegmentPerPolyline As Integer Dim newSegmentPerPolyline As Integer ' Retrieve the current SegmentPerPolyline value currSegmentPerPolyline = ThisDrawing.preferences.SegmentPerPolyline MsgBox "The current value for SegmentPerPolyline is " & currSegmentPerPolyline, vbInformation, "SegmentPerPolyline Example" ' Change the value for SegmentPerPolyline newSegmentPerPolyline = 2001 ThisDrawing.preferences.SegmentPerPolyline = newSegmentPerPolyline MsgBox "The new value for SegmentPerPolyline is " & newSegmentPerPolyline, vbInformation, "SegmentPerPolyline Example" ' Reset SegmentPerPolyline to its original value ThisDrawing.preferences.SegmentPerPolyline = currSegmentPerPolyline MsgBox "The SegmentPerPolyline value is reset to " & currSegmentPerPolyline, vbInformation, "SegmentPerPolyline Example" End Sub Visual LISP: (vl-load-com) (defun c:Example_SegmentPerPolyline() ;; This example returns the current setting of ;; SegmentPerPolyline. It then changes the value, and finally ;; it resets the value back to the original setting. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq preferences (vla-get-Preferences doc)) ;; Retrieve the current SegmentPerPolyline value (setq currSegmentPerPolyline (vla-get-SegmentPerPolyline preferences)) (alert (strcat "The current value for SegmentPerPolyline is " (itoa currSegmentPerPolyline))) ;; Change the value for SegmentPerPolyline (setq newSegmentPerPolyline 2001) (vla-put-SegmentPerPolyline preferences newSegmentPerPolyline) (alert (strcat "The new value for SegmentPerPolyline is " (itoa newSegmentPerPolyline))) ;; Reset SegmentPerPolyline to its original value (vla-put-SegmentPerPolyline preferences currSegmentPerPolyline) (alert (strcat "The SegmentPerPolyline value is reset to " (itoa currSegmentPerPolyline))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:44
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.